      module rcolms
 
      integer, parameter :: rdgs=1
      integer, parameter :: ncls=3
      integer, parameter :: dp=kind(1.d0), nc2=ncls**2-1
      real(dp), parameter :: rcold=0.10D-11
      complex(dp), parameter :: ocom=(0.d0,0.d0),
     &                          onec=(1.d0,0.d0),
     &                          icom=(0.d0,1.d0)
      complex(dp) :: cfd(rdgs), t(nc2,ncls,ncls),
     &                          f(nc2,nc2,nc2)
      real(dp) :: d(ncls,ncls)
 
      contains
 
      function tt(i,j,k,l)
      real(dp) :: tt
      integer :: i,j,k,l
 
      tt=-d(i,j)*d(k,l)/dble(2*ncls)+d(i,l)*d(k,j)/2.d0
 
      end function tt
 
      function c(r,i,j,k,l)
      real(dp) :: c
      integer :: r,i,j,k,l,m
      c=0.d0
      do m=1,nc2
       if (r == 1) then
        c=c-f(i,j,m)*f(m,k,l)
       else if (r == 2) then
        c=c-f(i,k,m)*f(m,l,j)
       else if (r == 3) then
        c=c-f(i,l,m)*f(m,j,k)
       else
        write(*,*)'colsqkk.f:        Wrong colour coeff.',r
       end if
      end do
      end function c
 
      end module rcolms
